<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Stock Center</title>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="css/index.css" />
  </head>
  <body>
    <header>
      <nav class="navbar navbar-expand-lg sticky-top bg-body-tertiary">
        <div class="container-fluid">
          <a class="navbar-brand" href="#">STOCK CENTER</a>
          <button
            class="navbar-toggler"
            type="button"
            data-bs-toggle="collapse"
            data-bs-target="#navbarNav"
            aria-controls="navbarNav"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ms-auto">
              <li class="nav-item">
                <a class="nav-link" id="changeLang" href="#"><span id="langRu">RU</span>/<span id="langEn">EN</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="changeCurrency" href="#"
                  ><span id="currencyRub">RUB</span>/<span id="currencyUsd">USD</span></a
                >
              </li>
            </ul>
          </div>
        </div>
      </nav>
    </header>
    <main class="main container">
      <div class="container d-flex justify-content-center page-title" id="page-title"><h1>Items in stock</h1></div>

      <!-- Products table -->
      <table class="table table-striped" id="tableItems">
        <thead class="text-center">
          <tr>
            <th scope="col">#</th>
            <th scope="col"><span id="headTitle">Title</span></th>
            <th scope="col"><span id="headPrice">Price</span>, <span id="currencyTable">USD</span></th>
            <th scope="col" data-direction-sort="ASC"><span id="headDate">Date and time</span></th>
            <th scope="col"><span id="headAction">Action</span></th>
          </tr>
        </thead>
        <tbody id="listItems" class="table-group-divider"></tbody>
      </table>
      <div class="d-flex justify-content-center">
        <!-- Modal Button -->
        <button
          type="button"
          id="buttonAdd"
          class="btn btn-danger"
          data-bs-toggle="modal"
          data-bs-target="#addItemModal"
        >
          New item
        </button>
      </div>
    </main>
    <footer class="footer">
      <div class="container">
        <div class="d-flex justify-content-center" id="copyright">Created &copy; IMGusev</div>
      </div>
    </footer>
    <!-- Modal -->
    <div
      class="modal fade"
      id="addItemModal"
      data-bs-backdrop="static"
      data-bs-keyboard="false"
      tabindex="-1"
      aria-labelledby="addItemLabel"
      aria-hidden="true"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h1 class="modal-title fs-5" id="addItemLabel">New item</h1>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            <form id="formAddItem" class="needs-validation" novalidate>
              <div class="mb-3">
                <label for="titleInput" class="form-label">Title</label>
                <input
                  type="text"
                  name="title"
                  class="form-control"
                  id="titleInput"
                  aria-describedby="titleHelp"
                  required
                  placeholder="Title"
                  autofocus
                />
                <div id="titleHelp" class="form-text"></div>
                <div class="invalid-feedback" id="titleInputError">Please choose a Title</div>
              </div>
              <div class="mb-3">
                <label for="priceInput" class="form-label">Price</label>
                <input
                  type="number"
                  name="price"
                  class="form-control"
                  id="priceInput"
                  required
                  min="0"
                  placeholder="0.00"
                  step="0.01"
                  pattern="\d"
                />
                <div class="invalid-feedback" id="priceInputError">Please choose a Price</div>
              </div>
              <div class="mb-3">
                <label for="dateInput" class="form-label">Date and time</label>
                <input type="datetime-local" name="date" class="form-control" id="dateInput" required />
                <div class="invalid-feedback" id="dateInputError">Please choose a Date and Time</div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button id="modalButtonClose" type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            <button id="modalButtonAdd" type="submit" form="formAddItem" class="btn btn-danger">Add</button>
          </div>
        </div>
      </div>
    </div>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL"
      crossorigin="anonymous"
    ></script>
    <script defer src="js/lang.js"></script>
    <script defer src="js/index.js"></script>
  </body>
</html>
